dpkg-mergechangelogs(1)

NAAM
dpkg-mergechangelogs - 3-wegs samenvoeging van debian/changelog-bestanden

OVERZICHT
dpkg-mergechangelogs [optie...] oud nieuw-a nieuw-b [uitvoer]

BESCHRIJVING
Dit programma gebruikt de 3 beschikbare versies van Debian changelog om een samengevoegd changelog-bestand te genereren. De resulterende changelog wordt in het bestand uitvoer opgeslagen of, indien die parameter niet opgegeven werd, naar de standaarduitvoer gestuurd.

Elk item wordt aan de hand van zijn versienummer geïdentificeerd en er wordt van uitgegaan dat ze niet tegenstrijdig zijn. Zij worden eenvoudig samengevoegd in de juiste volgorde (volgens aflopend versienummer). Wanneer --merge-prereleases gebruikt wordt, wordt het deel van het versienummer achter de tilde weggelaten, waardoor 1.0-1~exp1 en 1.0-1~exp5 beschouwd worden als hetzelfde item. Als dezelfde versie zowel in nieuw-a als in nieuw-b voorkomt, wordt geprobeerd een standaard regelgeoriënteerde 3-wegs samenvoeging uit te voeren (op voorwaarde dat de module Algorithm::Merge voorhanden is — ze maakt deel uit van het pakket libalgorithm-merge-perl —, anders krijgt u een algemene tegenstrijdigheid in verband met de inhoud van het item).

OPTIES

--merge-unreleased
    Het versienummer negeren wanneer de items gemarkeerd zijn als UNRELEASED (sinds dpkg 1.21.0).

    Dit is nuttig wanneer u uiteenlopende ontwikkelingen heeft voor versies die nog niet zijn uitgebracht. Bijvoorbeeld, 2.1-1 wordt uitgebracht, waarna er ontwikkeling plaats vindt voor een nieuwe versie 2.2-1 en vervolgens voor 2.3-1, terwijl het logisch is om gewoon te eindigen met een samengevoegd item voor 2.3-1 waarin alle ontwikkeling die in 2.2-1 gerealiseerd werd, opgenomen is.

-m, --merge-prereleases
    Laat het deel achter de laatste tilde in het versienummer vallen bij het uitvoeren van een versievergelijking om uit te maken of verondersteld moet worden dat het om twee dezelfde items gaat of niet.

    Dit is nuttig als u in het changelog-bestand hetzelfde item blijft gebruiken, maar het versienummer ervan geregeld verhoogt. U kunt bijvoorbeeld 2.3-1~exp1, 2.3-1~exp2, ... hebben tot aan de officiële release 2.3-1, die allemaal hetzelfde changelog-item zijn dat in de loop van de tijd geëvolueerd is.

--help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

BEPERKINGEN
Alles wat niet door Dpkg::Changelog ontleed wordt, geraakt tijdens het samenvoegen verloren. Dit kan gaan om zaken zoals commentaar die daar niet hoort te staan, enz.

INTEGRATIE MET GIT
Indien u dit programma wenst te gebruiken om Debian changelog-bestanden in een git-opslagplaats samen te voegen, moet u eerst een nieuw samenvoegingsstuurprogramma registreren in .git/config of ~/.gitconfig:

 [merge "dpkg-mergechangelogs"]
    name = debian/changelog merge driver
    driver = dpkg-mergechangelogs -m %O %A %B %A

Daarna moet u het samenvoegingsattribuut voor het debian/changelog-bestand instellen, ofwel in .gitattributes in de opslagplaats zelf, of in .git/info/attributes:

 debian/changelog merge=dpkg-mergechangelogs